import {h} from 'vue';
import {Modal} from "@arco-design/web-vue";
import XSelect from "../../../../../components/XSelect/index.vue";
import Api from "../../../../../api/index.js";

const openWithdrawalStatus = () => {
    Modal.warning({
        title: '提现失败',
        width: 600,
        draggable: true,
        hideCancel: false,
        okText: '重新提现',
        okButtonProps: {
            status: 'danger',
        },
        content: h('div', [
            h('div', {class: 'mb-[24px]'}, '请修改您的提现信息：确保所有信息都归属于同一个自然人。修改完后，在下方选择正确的提现信息，点击下方按钮，重新发起提现'),
            h(XSelect, {api: Api.system.getSelect})
        ])
    });
}

export default openWithdrawalStatus;
